Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente
Class PartTime

    java.lang.Object
      it.svimservice.nsisr.web.ws.dipendentessr.vo.nuovodipendente.PartTime

    public class PartTime

extends java.lang.Object

Indica se il dipendente usufruisce del part-time.

Field Summary
`private java.lang.String` | `dataFinePeriodoPartTime` Data di fine del periodo di lavoro part-time.
`private java.lang.String` | `dataInizioPeriodoPartTime` Data di inizio del periodo di lavoro part-time.
`private java.lang.String` | `percentualePartTime` Percentuale riduzione lavoro part-time.

Constructor Summary
`PartTime()`

Method Summary
`java.lang.String` | `getDataFinePeriodoPartTime()`
`java.lang.String` | `getDataInizioPeriodoPartTime()`
`java.lang.String` | `getPercentualePartTime()`
`void` | `setDataFinePeriodoPartTime(java.lang.String dataFinePeriodoPartTime)`
`void` | `setDataInizioPeriodoPartTime(java.lang.String dataInizioPeriodoPartTime)`
`void` | `setPercentualePartTime(java.lang.String percentualePartTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataInizioPeriodoPartTime

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataInizioPeriodoPartTime

  Data di inizio del periodo di lavoro part-time.

### dataFinePeriodoPartTime

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    @MinOccurs(value=0L)
    private java.lang.String dataFinePeriodoPartTime

  Data di fine del periodo di lavoro part-time.

### percentualePartTime

    @Facets(maxLength=6L,
            pattern="[0-9]{1,3}[,]{1}[0-9]{1,2}")
    @MinOccurs(value=0L)
    private java.lang.String percentualePartTime

  Percentuale riduzione lavoro part-time. Il campo è obbligatorio se viene avvalorata la data di inizio part-time.

Constructor Detail

### PartTime

    public PartTime()

Method Detail

### getDataInizioPeriodoPartTime

    public java.lang.String getDataInizioPeriodoPartTime()

### setDataInizioPeriodoPartTime

    public void setDataInizioPeriodoPartTime(java.lang.String dataInizioPeriodoPartTime)

### getDataFinePeriodoPartTime

    public java.lang.String getDataFinePeriodoPartTime()

### setDataFinePeriodoPartTime

    public void setDataFinePeriodoPartTime(java.lang.String dataFinePeriodoPartTime)

### getPercentualePartTime

    public java.lang.String getPercentualePartTime()

### setPercentualePartTime

    public void setPercentualePartTime(java.lang.String percentualePartTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD